LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XPrintable Interface Referencepublished

offers printing functionality. More...

`import"XPrintable.idl";`

Inheritance diagram for XPrintable:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValue > | getPrinter ()
void | setPrinter ([in] sequence< com::sun::star::beans::PropertyValue > aPrinter) raises ( com::sun::star::lang::IllegalArgumentException )
| assigns a new printer to the object. More...
void | print ([in] sequence< com::sun::star::beans::PropertyValue > xOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| prints the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers printing functionality.

Developers Guide
  Drawings and Presentations - Printing Drawing Documents - Printer and Print Job Settings
  Text Documents - Printing Text Documents - Printer and Print Job Settings
  Office Development - Storing Documents - Printing Documents
  Spreadsheet Documents - Printing Spreadsheet Documents - Printer and Print Job Settings

## Member Function Documentation

## ◆ getPrinter()

sequence< com::sun::star::beans::PropertyValue > getPrinter | ( |  | ) |

Returns
  a descriptor of the current printer.

The attributes of the current printer are used for formatting.

See also
  PrinterDescriptor

## ◆ print()

void print | ( | [in] sequence< com::sun::star::beans::PropertyValue > | xOptions | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

prints the object.

Parameters

  xOptions | specifies the number of copies and some other values which do not affect formatting.

See also
  PrintOptions

## ◆ setPrinter()

void setPrinter | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aPrinter | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

assigns a new printer to the object.

Setting a new printer will cause reformatting.

See also
  PrinterDescriptor

The documentation for this interface was generated from the following file:

- com/sun/star/view/XPrintable.idl